org.eclipse.ease.lang.unittest.runtime.impl

## Class TestEntity

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.ease.lang.unittest.runtime.impl.TestEntity

All Implemented Interfaces:
  ITestEntity, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject

Direct Known Subclasses:
  Test, TestContainer

    public abstract class TestEntity
    extends org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
    implements ITestEntity

An implementation of the model object 'Test Entity'.

The following features are implemented:

- `Description`
- `Name`
- `Entity Status`
- `End Timestamp`
- `Start Timestamp`
- `Parent`
- `Metadata`
- `Duration`
- `Results`
- `Estimated Duration`
- `Terminated`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

### Fields inherited from interface org.eclipse.ease.lang.unittest.runtime.ITestEntity

`CUSTOM_CODE, GLOBAL_SCOPE_TEST`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Method Summary

All Methods Instance Methods Concrete Methods
`ITestResult` `addError(java.lang.String message, IScriptEngine scriptEngine)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetParent(ITestContainer newParent, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eInvoke(int operationID, org.eclipse.emf.common.util.EList<?> arguments)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`java.lang.String` `getDescription()`
`long` `getDuration()`
`long` `getEndTimestamp()`
`TestStatus` `getEntityStatus()`
`long` `getEstimatedDuration()`
`IPath` `getFullPath()`
`org.eclipse.emf.common.util.EList<IMetadata>` `getMetadata()`
`java.lang.String` `getName()`
`ITestContainer` `getParent()`
`java.lang.Object` `getResource()`
`org.eclipse.emf.common.util.EList<ITestResult>` `getResults()`
`org.eclipse.emf.common.util.EList<ITestResult>` `getResults(TestStatus status)`
`ITestContainer` `getRoot()`
`long` `getStartTimestamp()`
`TestStatus` `getStatus()`
`ITestSuite` `getTestSuite()`
`ITestResult` `getWorstResult()`
`boolean` `hasError()`
`boolean` `isDisabled()`
`boolean` `isTerminated()`
`void` `reset()`
`void` `run(org.eclipse.ease.lang.unittest.execution.ITestExecutionStrategy strategy)`
`void` `setDescription(java.lang.String newDescription)`
`void` `setDisabled(java.lang.String message)`
`void` `setEndTimestamp(long newEndTimestamp)`
`void` `setEntityStatus(TestStatus value)` Sets the value of the '`Entity Status`' attribute.
`void` `setEntityStatusGen(TestStatus newEntityStatus)`
`void` `setEstimatedDuration(long newEstimatedDuration)`
`void` `setName(java.lang.String newName)`
`void` `setParent(ITestContainer newParent)`
`void` `setStartTimestamp(long newStartTimestamp)`
`void` `setTerminated(boolean newTerminated)`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Method Detail

#### getDescription

    public java.lang.String getDescription()

Specified by:
  `getDescription` in interface `ITestEntity`
Returns:
  the value of the 'Description' attribute.
See Also:
  `ITestEntity.setDescription(String)`, `IRuntimePackage.getTestEntity_Description()`

#### setDescription

    public void setDescription(java.lang.String newDescription)

Specified by:
  `setDescription` in interface `ITestEntity`
Parameters:
  `newDescription` - the new value of the 'Description' attribute.
See Also:
  `ITestEntity.getDescription()`

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `ITestEntity`
Returns:
  the value of the 'Name' attribute.
See Also:
  `ITestEntity.setName(String)`, `IRuntimePackage.getTestEntity_Name()`

#### setName

    public void setName(java.lang.String newName)

Specified by:
  `setName` in interface `ITestEntity`
Parameters:
  `newName` - the new value of the 'Name' attribute.
See Also:
  `ITestEntity.getName()`

#### getEntityStatus

    public TestStatus getEntityStatus()

Specified by:
  `getEntityStatus` in interface `ITestEntity`
Returns:
  the value of the 'Entity Status' attribute.
See Also:
  `TestStatus`, `ITestEntity.setEntityStatus(TestStatus)`, `IRuntimePackage.getTestEntity_EntityStatus()`

#### setEntityStatusGen

    public void setEntityStatusGen(TestStatus newEntityStatus)

#### getStatus

    public TestStatus getStatus()

Specified by:
  `getStatus` in interface `ITestEntity`

#### getRoot

    public ITestContainer getRoot()

Specified by:
  `getRoot` in interface `ITestEntity`

#### hasError

    public boolean hasError()

Specified by:
  `hasError` in interface `ITestEntity`

#### getTestSuite

    public ITestSuite getTestSuite()

Specified by:
  `getTestSuite` in interface `ITestEntity`

#### getResource

    public java.lang.Object getResource()

Specified by:
  `getResource` in interface `ITestEntity`

#### reset

    public void reset()

Specified by:
  `reset` in interface `ITestEntity`

#### run

    public void run(org.eclipse.ease.lang.unittest.execution.ITestExecutionStrategy strategy)

Specified by:
  `run` in interface `ITestEntity`

#### getWorstResult

    public ITestResult getWorstResult()

Specified by:
  `getWorstResult` in interface `ITestEntity`

#### addError

    public ITestResult addError(java.lang.String message,
                                IScriptEngine scriptEngine)

Specified by:
  `addError` in interface `ITestEntity`

#### getResults

    public org.eclipse.emf.common.util.EList<ITestResult> getResults(TestStatus status)

Specified by:
  `getResults` in interface `ITestEntity`

#### getFullPath

    public IPath getFullPath()

Specified by:
  `getFullPath` in interface `ITestEntity`

#### setDisabled

    public void setDisabled(java.lang.String message)

Specified by:
  `setDisabled` in interface `ITestEntity`

#### isDisabled

    public boolean isDisabled()

Specified by:
  `isDisabled` in interface `ITestEntity`

#### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### getStartTimestamp

    public long getStartTimestamp()

Specified by:
  `getStartTimestamp` in interface `ITestEntity`
Returns:
  the value of the 'Start Timestamp' attribute.
See Also:
  `ITestEntity.setStartTimestamp(long)`, `IRuntimePackage.getTestEntity_StartTimestamp()`

#### setStartTimestamp

    public void setStartTimestamp(long newStartTimestamp)

Specified by:
  `setStartTimestamp` in interface `ITestEntity`
Parameters:
  `newStartTimestamp` - the new value of the 'Start Timestamp' attribute.
See Also:
  `ITestEntity.getStartTimestamp()`

#### getParent

    public ITestContainer getParent()

Specified by:
  `getParent` in interface `ITestEntity`
Returns:
  the value of the 'Parent' container reference.
See Also:
  `ITestEntity.setParent(ITestContainer)`, `IRuntimePackage.getTestEntity_Parent()`, `ITestContainer.getChildren()`

#### basicSetParent

    public org.eclipse.emf.common.notify.NotificationChain basicSetParent(ITestContainer newParent,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

#### setParent

    public void setParent(ITestContainer newParent)

Specified by:
  `setParent` in interface `ITestEntity`
Parameters:
  `newParent` - the new value of the 'Parent' container reference.
See Also:
  `ITestEntity.getParent()`

#### getMetadata

    public org.eclipse.emf.common.util.EList<IMetadata> getMetadata()

Specified by:
  `getMetadata` in interface `ITestEntity`
Returns:
  the value of the 'Metadata' containment reference list.
See Also:
  `IRuntimePackage.getTestEntity_Metadata()`

#### getDuration

    public long getDuration()

Specified by:
  `getDuration` in interface `ITestEntity`
Returns:
  the value of the 'Duration' attribute.
See Also:
  `IRuntimePackage.getTestEntity_Duration()`

#### getResults

    public org.eclipse.emf.common.util.EList<ITestResult> getResults()

Specified by:
  `getResults` in interface `ITestEntity`
Returns:
  the value of the 'Results' containment reference list.
See Also:
  `IRuntimePackage.getTestEntity_Results()`

#### getEstimatedDuration

    public long getEstimatedDuration()

Specified by:
  `getEstimatedDuration` in interface `ITestEntity`
Returns:
  the value of the 'Estimated Duration' attribute.
See Also:
  `ITestEntity.setEstimatedDuration(long)`, `IRuntimePackage.getTestEntity_EstimatedDuration()`

#### setEstimatedDuration

    public void setEstimatedDuration(long newEstimatedDuration)

Specified by:
  `setEstimatedDuration` in interface `ITestEntity`
Parameters:
  `newEstimatedDuration` - the new value of the 'Estimated Duration' attribute.
See Also:
  `ITestEntity.getEstimatedDuration()`

#### isTerminated

    public boolean isTerminated()

Specified by:
  `isTerminated` in interface `ITestEntity`
Returns:
  the value of the 'Terminated' attribute.
See Also:
  `ITestEntity.setTerminated(boolean)`, `IRuntimePackage.getTestEntity_Terminated()`

#### setTerminated

    public void setTerminated(boolean newTerminated)

Specified by:
  `setTerminated` in interface `ITestEntity`
Parameters:
  `newTerminated` - the new value of the 'Terminated' attribute.
See Also:
  `ITestEntity.isTerminated()`

#### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eUnset

    public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eIsSet

    public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eInvoke

    public java.lang.Object eInvoke(int operationID,
                                    org.eclipse.emf.common.util.EList<?> arguments)
                             throws java.lang.reflect.InvocationTargetException

Specified by:
  `eInvoke` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eInvoke` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
Throws:
  `java.lang.reflect.InvocationTargetException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### setEntityStatus

    public void setEntityStatus(TestStatus value)

Description copied from interface: `ITestEntity`
Sets the value of the '`Entity Status`' attribute.

Specified by:
  `setEntityStatus` in interface `ITestEntity`
Parameters:
  `value` - the new value of the 'Entity Status' attribute.
See Also:
  `TestStatus`, `ITestEntity.getEntityStatus()`

#### getEndTimestamp

    public long getEndTimestamp()

Specified by:
  `getEndTimestamp` in interface `ITestEntity`
Returns:
  the value of the 'End Timestamp' attribute.
See Also:
  `ITestEntity.setEndTimestamp(long)`, `IRuntimePackage.getTestEntity_EndTimestamp()`

#### setEndTimestamp

    public void setEndTimestamp(long newEndTimestamp)

Specified by:
  `setEndTimestamp` in interface `ITestEntity`
Parameters:
  `newEndTimestamp` - the new value of the 'End Timestamp' attribute.
See Also:
  `ITestEntity.getEndTimestamp()`